SCSI keysense errors on console with Raring (3.8 kernel) within Windows Azure

Bug #1157952 reported by Ben Howard on 2013-03-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Andy Whitcroft
Raring
High
Andy Whitcroft

Bug Description

# uname -a
Linux utl-r2 3.8.0-13-generic #23-Ubuntu SMP Mon Mar 18 18:09:44 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[ 991.689349] Sense Key : No Sense [current]
[ 991.689352] sd 3:0:1:0: [sdb]
[ 991.689354] Add. Sense: No additional sense information
[ 991.689411] hv_storvsc vmbus_0_2: cmd 0x41 scsi status 0x2 srb status 0x6
[ 991.689465] sd 3:0:1:0: [sdb]
[ 991.689467] Sense Key : No Sense [current]
[ 991.689470] sd 3:0:1:0: [sdb]
[ 991.689471] Add. Sense: No additional sense information
[ 991.689525] hv_storvsc vmbus_0_2: cmd 0x41 scsi status 0x2 srb status 0x6
[ 991.689584] sd 3:0:1:0: [sdb]
[ 991.689586] Sense Key : No Sense [current]
[ 991.689588] sd 3:0:1:0: [sdb]
[ 991.689590] Add. Sense: No additional sense information
[ 991.689647] hv_storvsc vmbus_0_2: cmd 0x41 scsi status 0x2 srb status 0x6
[ 991.689698] sd 3:0:1:0: [sdb]
[ 991.689700] Sense Key : No Sense [current]
[ 991.689702] sd 3:0:1:0: [sdb]
[ 991.689704] Add. Sense: No additional sense information
[ 991.689756] hv_storvsc vmbus_0_2: cmd 0x41 scsi status 0x2 srb status 0x6
[ 991.689824] sd 3:0:1:0: [sdb]
[ 991.689825] Sense Key : No Sense [current]
[ 991.689828] sd 3:0:1:0: [sdb]
[ 991.689830] Add. Sense: No additional sense information
[ 991.689897] hv_storvsc vmbus_0_2: cmd 0x41 scsi status 0x2 srb status 0x6
[ 991.689943] sd 3:0:1:0: [sdb]
[ 991.689945] Sense Key : No Sense [current]
[ 991.689948] sd 3:0:1:0: [sdb]
---
AlsaDevices:
 total 0
 crw-rw---T 1 root audio 116, 1 Mar 20 19:51 seq
 crw-rw---T 1 root audio 116, 33 Mar 20 19:51 timer
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 2.9.2-0ubuntu1
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
DistroRelease: Ubuntu 13.04
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
Lsusb: Error: command ['lsusb'] failed with exit code 1: unable to initialize libusb: -99
MachineType: Microsoft Corporation Virtual Machine
MarkForUpload: True
Package: linux-image-virtual 3.8.0.13.27
PackageArchitecture: amd64
PciMultimedia:

ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-13-generic root=UUID=a130f458-6a2d-4656-b9a2-ec50169de597 ro console=tty1 console=ttyS0 earlyprintk=ttyS0 rootdelay=300
ProcVersionSignature: Ubuntu 3.8.0-13.23-generic 3.8.3
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-13-generic N/A
 linux-backports-modules-3.8.0-13-generic N/A
 linux-firmware 1.104
RfKill: Error: [Errno 2] No such file or directory
Tags: raring uec-images
Uname: Linux 3.8.0-13-generic x86_64
UnreportableReason: Your system partition has less than 0 MB of free space available, which leads to problems using applications and installing updates. Please free some space.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 05/23/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 090006
dmi.board.name: Virtual Machine
dmi.board.vendor: Microsoft Corporation
dmi.board.version: 7.0
dmi.chassis.asset.tag: 2382-6230-4932-8442-4596-0014-14
dmi.chassis.type: 3
dmi.chassis.vendor: Microsoft Corporation
dmi.chassis.version: 7.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr090006:bd05/23/2012:svnMicrosoftCorporation:pnVirtualMachine:pvr7.0:rvnMicrosoftCorporation:rnVirtualMachine:rvr7.0:cvnMicrosoftCorporation:ct3:cvr7.0:
dmi.product.name: Virtual Machine
dmi.product.version: 7.0
dmi.sys.vendor: Microsoft Corporation
---
AlsaDevices:
 total 0
 crw-rw---T 1 root audio 116, 1 Mar 25 22:15 seq
 crw-rw---T 1 root audio 116, 33 Mar 25 22:15 timer
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 2.9.2-0ubuntu2
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
CurrentDmesg: [ 267.056969] init: plymouth-stop pre-start process (1343) terminated with status 1
DistroRelease: Ubuntu 13.04
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
Lsusb: Error: command ['lsusb'] failed with exit code 1: unable to initialize libusb: -99
MachineType: Microsoft Corporation Virtual Machine
MarkForUpload: True
Package: linux-image-virtual 3.8.0.14.29
PackageArchitecture: amd64
PciMultimedia:

ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-14-generic root=UUID=b3710ec6-2639-4979-9c91-6adf61c4289a ro console=tty1 console=ttyS0 earlyprintk=ttyS0 rootdelay=300
ProcVersionSignature: Ubuntu 3.8.0-14.24~lp1157952v1-generic 3.8.4
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-14-generic N/A
 linux-backports-modules-3.8.0-14-generic N/A
 linux-firmware 1.104
RfKill: Error: [Errno 2] No such file or directory
Tags: raring uec-images
Uname: Linux 3.8.0-14-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

WifiSyslog:

dmi.bios.date: 05/23/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 090006
dmi.board.name: Virtual Machine
dmi.board.vendor: Microsoft Corporation
dmi.board.version: 7.0
dmi.chassis.asset.tag: 0247-9366-4976-0268-3671-4900-85
dmi.chassis.type: 3
dmi.chassis.vendor: Microsoft Corporation
dmi.chassis.version: 7.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr090006:bd05/23/2012:svnMicrosoftCorporation:pnVirtualMachine:pvr7.0:rvnMicrosoftCorporation:rnVirtualMachine:rvr7.0:cvnMicrosoftCorporation:ct3:cvr7.0:
dmi.product.name: Virtual Machine
dmi.product.version: 7.0
dmi.sys.vendor: Microsoft Corporation

Related branches

CVE References

apport information

tags: added: apport-collected raring uec-images
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Confirmed that this issue does not affect Precise or Quantal. So this looks like a regression in the 3.8 kernel.

summary: - SCSI keysense errors on console with Raring (3.8 kernel)
+ SCSI keysense errors on console with Raring (3.8 kernel) within Windows
+ Azure
information type: Proprietary → Public
affects: lansing → linux-meta (Ubuntu)
tags: added: windows-azure
Brad Figg (brad-figg) on 2013-03-20
affects: linux-meta (Ubuntu) → linux (Ubuntu)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a bisect to figure out what commit caused this regression. It would be very helpful to know the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue.

Can you test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

v3.8-rc4: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc4-raring/

If v3.8-rc4 does not exhibit the bug then test v3.8-rc6:
v3.8-rc6: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc6-raring/

If v3.8-rc4 does exhibit the bug then test v3.8-rc2:
v3.8-rc2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc2-raring/

You don't have to test every kernel, just up until the kernel that first has this bug.

Thanks in advance!

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-key regression-update
tags: added: performing-bisect
K Y Srinivasan (kys) wrote :

This is a known bug. Our host cannot handle the WRITE_SAME command. The fix for this bug has already been checked into the upstream kernel:

commit 3e8f4f4065901c8dfc51407e1984495e1748c090
Author: Olaf Hering <email address hidden>
Date: Thu Feb 21 12:04:51 2013 -0800

    [SCSI] storvsc: avoid usage of WRITE_SAME

    Set scsi_device->no_write_same because the host does not support it.
    Also blacklist WRITE_SAME to avoid (and log) accident usage.

    If the guest uses the ext4 filesystem, storvsc hangs while it prints
    these messages in an endless loop:
    ...
    [ 161.459523] hv_storvsc vmbus_0_1: cmd 0x41 scsi status 0x2 srb status 0x6
    [ 161.462157] sd 2:0:0:0: [sda]
    [ 161.463135] Sense Key : No Sense [current]
    [ 161.464983] sd 2:0:0:0: [sda]
    [ 161.465899] Add. Sense: No additional sense information
    [ 161.468211] hv_storvsc vmbus_0_1: cmd 0x41 scsi status 0x2 srb status 0x6
    [ 161.475766] sd 2:0:0:0: [sda]
    [ 161.476728] Sense Key : No Sense [current]
    [ 161.478284] sd 2:0:0:0: [sda]
    [ 161.479441] Add. Sense: No additional sense information

Joseph Salisbury (jsalisbury) wrote :

Thanks for the info, K Y Srinivasan,

That commit appears to be in v3.9-rc1:
 git describe --contains 3e8f4f4065901c8dfc51407e1984495e1748c090
v3.9-rc1~21^2~7

Can you test the latest v3.9 kernel to confirm it resolves this bug? It can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-rc3-raring/

It doesn't appear that commit was Cc'd to upstream stable, so if it does fix the issue, I can submit the patch to be included in the Raring 3.8 kernel.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Joseph Salisbury (jsalisbury) wrote :

I'll also build a Raring test kernel with commit 3e8f4f4065901c8dfc51407e1984495e1748c090 applied and post a link to it.

Joseph Salisbury (jsalisbury) wrote :

A test kernel with commit 3e8f4f4065901c8dfc51407e1984495e1748c090 applied is available. It can be downloaded from the following location:

http://people.canonical.com/~jsalisbury/lp1157952/

Can you test that kernel and report back if it resolves this bug?

Ben Howard (utlemming) wrote :

jsalisbury: sorry it took so long. I ran into another issue of a small root disk, which coupled with bug made getting a test rig built, hard.

Anyhow, I can _CONFIRM_ you're patch in #18 works...but I see the following:
[ 16.184655] hv_storvsc vmbus_0_1: cmd 0x85 scsi status 0x2 srb status 0x86
[ 16.184660] hv_storvsc vmbus_0_1: stor pkt ffff880147975340 autosense data valid - len 18
[ 16.184663] storvsc: Sense Key : Illegal Request [current]
[ 16.184666] storvsc: Add. Sense: Invalid command operation code
[ 16.201443] hv_storvsc vmbus_0_1: cmd 0x85 scsi status 0x2 srb status 0x86
[ 16.201448] hv_storvsc vmbus_0_1: stor pkt ffff880147975340 autosense data valid - len 18
[ 16.201451] storvsc: Sense Key : Illegal Request [current]
[ 16.201459] storvsc: Add. Sense: Invalid command operation code
[ 16.239885] hv_storvsc vmbus_0_2: cmd 0x85 scsi status 0x2 srb status 0x6
[ 16.240723] hv_storvsc vmbus_0_2: cmd 0x85 scsi status 0x2 srb status 0x6
[ 19.112649] psmouse serio1: trackpoint: IBM TrackPoint firmware: 0x01, buttons: 0/0
[ 19.113072] input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/input/input3

Full logs to be attached shortly.

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Ben Howard (utlemming) wrote :

I would also note that Raring boots really slow on Azure. I don't know if this is related or not.

tags: removed: performing-bisect
Tim Gardner (timg-tpi) on 2013-04-01
Changed in linux (Ubuntu Raring):
status: Incomplete → In Progress
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

The proposed fix seems to work well. There are still some scsi errors reported related to ATA encapsulation but do not seem to impact boot time nor overall performance thereafter.

Andy Whitcroft (apw) on 2013-04-04
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-17.27

---------------
linux (3.8.0-17.27) raring; urgency=low

  [ Adam Lee ]

  * SAUCE: (no-up) Bluetooth: Add support for 04ca:2007
    - LP: #1153448
  * SAUCE: (no-up) Bluetooth: Add support for 105b:e065
    - LP: #1161261

  [ Len Brown ]

  * SAUCE: (no-up) tools/power turbostat: additional Haswell CPU-id
    - LP: #1083993

  [ Tim Gardner ]

  * Revert "SAUCE: (no-up) seccomp: forcing auditing of kill condition"
    Replaced by upstream patch.
  * Release Tracking Bug
    - LP: #1165746

  [ Upstream Kernel Changes ]

  * rebase to v3.8.6
  * Revert "brcmsmac: support 4313iPA"
    - LP: #1157190
  * tools/power turbostat: support Haswell
    - LP: #1083993
  * net: calxedaxgmac: fix rx ring handling when OOM
  * cpufreq: check OF node /cpus presence before dereferencing it
  * Input: cypress_ps2 - fix trackpadi found in Dell XPS12
    - LP: #1103594
  * ARM: OMAP2+: Limit omap initcalls to omap only on multiplatform kernels
  * ARM: OMAP2+: Use omap initcalls
  * ARM: OMAP: Fix i2c cmdline initcall for multiplatform
  * ARM: OMAP: Fix dmaengine init for multiplatform
  * ARM: OMAP2+: Add multiplatform debug_ll support
  * ARM: OMAP2+: Disable code that currently does not work with
    multiplaform
  * ARM: OMAP2+: Enable ARCH_MULTIPLATFORM support
  * ARM: OMAP2+: Add minimal support for booting vexpress
  * ARM: OMAP2+: Remove now obsolete uncompress.h and debug-macro.S
  * davinci: do not include mach/hardware.h
  * clk: export __clk_get_name for re-use in imx-ipu-v3 and others
  * [SCSI] storvsc: avoid usage of WRITE_SAME
    - LP: #1157952
  * ACPICA: Fix possible memory leak in dispatcher error path.
  * KVM: x86: fix for buffer overflow in handling of MSR_KVM_SYSTEM_TIME (CVE-2013-1796)
    - LP: #1158254
    - CVE-2013-1796

  [ Wen-chien Jesse Sung ]

  * SAUCE: (no-up) Bluetooth: Add a load_firmware callback to struct hci_dev
    - LP: #1065400
  * SAUCE: (no-up) Bluetooth: Implement broadcom patchram firmware loader
    - LP: #1065400
  * SAUCE: (no-up) Bluetooth: Add support for 13d3:3388 and 13d3:3389
    - LP: #1065400
 -- Tim Gardner <email address hidden> Tue, 02 Apr 2013 08:02:43 -0600

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers